using System;

namespace Genuilder
{
	public enum CommonFeature
	{
		AppConfigVerifier,
		AppSettingsGenerator,
		EnvironmentFile,
		InterfaceExtractor,
		PropertiesExtractor,
		StrongConfigGenerator,
		
	}
	internal class _CommonFeature
	{
		public static string GetFileName(CommonFeature feature)
		{
			switch(feature)
			{
				case CommonFeature.AppConfigVerifier:
					return "AppConfigVerifier.targets";
				case CommonFeature.AppSettingsGenerator:
					return "AppSettingsGenerator.targets";
				case CommonFeature.EnvironmentFile:
					return "EnvironmentFile.targets";
				case CommonFeature.InterfaceExtractor:
					return "InterfaceExtractor.targets";
				case CommonFeature.PropertiesExtractor:
					return "PropertiesExtractor.targets";
				case CommonFeature.StrongConfigGenerator:
					return "StrongConfigGenerator.targets";
				default:
					throw new NotSupportedException(feature.ToString());

			}

		}
	}
}
