using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genuilder
{
	[AttributeUsage(AttributeTargets.Class | AttributeTargets.Interface | AttributeTargets.Struct, Inherited = false, AllowMultiple = true)]
	public class ExtractProperties : Attribute
	{
		public ExtractProperties()
		{

		}
		public ExtractProperties(Type metadataType)
		{
			_MetadataType = metadataType;
		}
		readonly Type _MetadataType;
		public Type MetadataType
		{
			get
			{
				return _MetadataType;
			}
		}
	}
}
