﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml.Serialization;

namespace Genuilder.Extensibility.Targets
{
	public interface IExtensibilityTask
	{
		String OutputPath
		{
			get;
		}
		String Data
		{
			get;
		}
	}

	public static class IExtensibilityTaskExtensions
	{
		public static FileInfo GetGenerationReportFile(this IExtensibilityTask task)
		{
			return new FileInfo(Path.Combine(task.OutputPath, task.Data));
		}

	}
}
