using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ICSharpCode.NRefactory.Ast;

namespace AstHelpers
{
	public static class ModifiersExtensions
	{
		public static bool IsPublic(this Modifiers modifier)
		{
			return modifier.HasSameVisibility(Modifiers.Public);
		}
		public static bool HasSameVisibility(this Modifiers modifier, Modifiers otherModifier)
		{
			return (modifier & (Modifiers)15) == (otherModifier & (Modifiers)15);
		}
	}
}
