﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genuilder.Extensions.EmbeddedResource
{
	public class EmbeddedResource
	{
		public EmbeddedResource(string name)
		{
			Name = name;
		}
		public string SafeName
		{
			get
			{
				var name = Name.Split('.').Reverse().Skip(1).First();
				return NameGenerator.MakeValidIdentifier(name, false);
			}
		}
		public string Name
		{
			get;
			private set;
		}
	}
}
