using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Build.Utilities;
using Microsoft.Build.Framework;
using System.IO;
using AstHelpers;

namespace InterfaceExtractor.Targets
{
	public class InterfaceExtractorTask : CodeGeneratorTask
	{
		protected override ICodeGenerator CreateOutputVisitor()
		{
			return new InterfaceExtractorGenerator();
		}

		protected override string GeneratedFileSuffix()
		{
			return ".g.ExtractInterface.cs";
		}
	}
}
