﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genuilder.Extensibility.TestProject.Gen
{
	public static class EnumExtensions
	{
		public static T Append<T>(this System.Enum type, T value)
		{
			return (T)(object)(((int)(object)type | (int)(object)value));
		}

		public static T Remove<T>(this System.Enum type, T value)
		{
			return (T)(object)(((int)(object)type & ~(int)(object)value));
		}

		public static bool Has<T>(this System.Enum type, T value)
		{
			return (((int)(object)type & (int)(object)value) == (int)(object)value);
		}

	}

}
