using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Build.Utilities;
using Microsoft.Build.Framework;
using System.IO;
using ICSharpCode.NRefactory;
using ICSharpCode.NRefactory.PrettyPrinter;
using AstHelpers;

namespace PropertiesExtractor.Targets
{
	public class PropertiesExtractorTask : CodeGeneratorTask
	{
		protected override ICodeGenerator CreateOutputVisitor()
		{
			return new PropertiesGenerator();
		}

		protected override string GeneratedFileSuffix()
		{
			return ".g.Metadata.cs";
		}
	}
}
