﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Genuilder.Extensibility;
using System.Runtime.Serialization;

namespace Genuilder.Tests
{
	[DataContract]
	public class CreateFileExtension : IExtension
	{
		public CreateFileExtension()
		{
			File = Guid.NewGuid().ToString();
		}
		#region IExtension Members

		public void Execute(ExtensionContext extensionContext)
		{
			System.IO.File.Create(File).Close();
		}

		[DataMember]
		public string File
		{
			get;
			set;
		}


		#endregion

		
	}
}
