﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genuilder.Extensions
{
	public static class ExtensionMethods
	{
		public static IEnumerable<T> Add<T>(this IEnumerable<T> collection, params T[] items)
		{
			foreach(var item in collection)
				yield return item;
			foreach(var item in items)
				yield return item;
		}
	}
}
