﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Antlr.Runtime;
using Genuilder.Extensibility;

namespace Genuilder.Extensions.XamlVerifier
{
	public partial class XamlVerifierLexer
	{
		void YieldStartVerify(IToken id)
		{
			this.id = id;
			idLocation = new Location(id.Line, id.CharPositionInLine + 1);
			index = id.StartIndex;
		}
		void YieldBinding(IToken path)
		{
			this.path = path;
			idLocation = new Location(path.Line, path.CharPositionInLine + 1);
			index = path.StartIndex;
		}
		


		public int index;
		public IToken id;
		public IToken path;
		public Location idLocation;

		public Location Location
		{
			get
			{
				return new Location(input.Line, input.CharPositionInLine);
			}
		}
	}
}
